/*  eslint-disable no-template-curly-in-string */
const strings = {
    app_name: 'Cardo Update',
    tooltip_app_version: '版本 ${version}',
    tooltip_more_info: '更多信息......',
    welcome_title: '欢迎来到 Cardo Update',
    welcome_subtitle: 'Cardo Update 使您的装置器保持最新固件和功能。',
    welcome_new_app_version_available: '新版本 Cardo Update 可用！',
    welcome_new_app_version_available_description:
        '请更新至最新版本以继续使用 Cardo Update',
    welcome_download_app_update: '下载的更新',
    welcome_install_app_update: '安装并重新启动',
    welcome_downloading_app_update: '正在下载新版本 Cardo Update',
    welcome_device_connecting: '连接中，请不要断开您的装置...',
    welcome_downloading_app_update_complete: '下载完成',
    welcome_no_device_connected_description:
        '只需使用 Cardo USB 数据线将您的装置器连接至计算机即可',
    welcome_modal_device_fw_interrupted_title: '检测到固件问题',
    welcome_modal_device_fw_interrupted_description:
        '装置器出现意外的固件问题。请安装新固件更新。',
    general_link_need_support: '是否需要支持？',
    unsupported_unit_header: '连接的设备不受支持',
    unsupported_unit_title: 'Cardo Update 与连接的设备不兼容',
    unsupported_unit_subtitle:
        '请<a href="${url}" target="_blank">单击此处</a>查找正确的更新工具',
    update_device_header: '${name} - 已连接',
    update_device_checking_for_updates: '正在检查更新......',
    update_device_no_internet_title: '很抱歉，Cardo Update 目前无法检查更新。',
    update_device_no_internet_description: '请确保网络连接良好，然后重试。',
    update_device_firmware_selection_modal_title: '选择要安装的固件版本',
    update_device_firmware_selection_latest_version: '${version} - 官方发布',
    update_device_firmware_selection_beta_version:
        '${betaVersion} - 测试版 (Build ${betaBuildNumber})',
    update_device_firmware_selection_custom_version: '${version} 版本',
    general_button_retry: '再试一次',
    update_device_new_fw_available_title: '固件更新可用!',
    update_device_new_fw_available_release_link: '新内容',
    update_device_new_fw_available_update_firmware: '更新固件',
    update_device_updating_title: '正在更新固件......',
    update_device_updating_description: '更新完成前，请勿断开装置器。',
    update_device_status_downloading_version_info: '正在下载版本信息......',
    update_device_status_downloading_fw: '正在下载固件......',
    update_device_status_installing_fw: '正在安装固件......',
    update_device_footer_follow: '关注我们：',
    update_device_footer_jbl: '是否希望声音更清晰？',
    problem_updating_fw_title: '更新固件时出错',
    problem_updating_fw_subtitle: '请检查您的 USB 连接并重试。',
    problem_updating_fw_back_to_main_button: '返回主菜单',
    problem_updating_fw_help:
        '如问题仍存在，请<a href="${url}" target="_blank">联系支持部门</a>',
    problem_recognizing_device_error:
        '检测到连接问题，无法识别装置。 请重新连接设备，然后重试。',
    update_application_error: '无法下载更新',
    update_application_error_descrition: '抱歉，出了一些问题，更新没有下载',
    close_app_popup_title: '退出 Cardo Update?',
    close_app_popup_body: '在更新完成前不要关闭 Cardo 更新程序',
    close_app_popup_quit: '退出',
    update_device_done_title: '完成！',
    update_device_done_subtitle: '您的装置器已更新至最新版本。',
    device_up_to_date_title: '您的固件已更新至最新版本',
    device_firmware_version_is:
        '您当前的固件版本为  ${version} ${betaBuildNumber}',
    device_up_to_date_subtitle: '上次更新时间：${date}',
    device_up_to_date_reinstall_firmware_button: '重装固件',
    device_up_to_date_reinstall_firmware_popup: '重装最新固件版本',
    device_info_model: '机型',
    device_info_current_fw: '当前固件',
    device_info_serial: '序列号',
    button_cancel: '取消',
    button_install: '安装',
    button_ok: '确定',
    general_device: '装置',
    not_logged_in_title: '更新我的Cardo以保持最新状态',
    back: '返回',
    sign_in: '登录',
    sign_up: '注册',
    email: '电子邮件',
    first_name: '名字',
    last_name: '姓氏',
    already_have_an_account: '已经有账户了吗？',
    invalid_email_format: '电子邮件格式：example@email.com',
    letters_only: '仅限字母',
    country: '国家',
    date_of_birth: '出生日期',
    marketing_approval:
        '我同意Cardo Systems可通过电子邮件向我发送营销新消息和软件升级通知。',
    by_clicking_sign_up:
        '点击“注册”即代表示您同意我 们的 <a href="${privacy_url}" target="_blank">隐私政策</a> 和 <a href="${tos_url}" target="_blank">条款与条件</a>',
    we_sent_verification_email:
        '我们刚刚向<b>${email}</b>发送了一封验证电子邮件。请查看您的电子邮箱。',
    send_again: '重新发送',
    didnt_receive_an_email: '没有收到电子邮件吗？',
    back_to_sign_in: '返回登录',
    back_to_sign_up: '返回注册',
    email_doesnt_exist: '电子邮箱不存在。请尝试其他电子邮箱或注册',
    email_already_registered: '此电子邮箱已注册。请尝试其他电子邮箱或登录',
    dont_have_an_account: '没有账户吗？',
    complete_your_details: '填写您的資料',
    sign_out: '退出',
    sign_out_confirmation: '您确定要退出吗？',
    yes: '是',
    no: '否',
    no_internet_connection: '没有互联网连接！',
    your_connection_was_lost: '您的互联网连接已断开。请重新连接并重试',
    software_version: '软件版本',
    verify_your_email_address: '验证您的电子邮件地址',
    support: '支持',
    continue: '继续',
    done_button: '完成',
    not_logged_in_sub_title: '最新功能 · 错误修复',
    network_error: '没有互联网连接！再试一次',
    do_not_close_app: '不要关闭应用程序',
    no_results: '无结果',
    fw_language: '装置语言',
    usb_connection_error:
        '检测到 USB 连接错误。请将您的设备连接到手机并用 Cardo Connect 移动应用程序更新您的软件',
    manual_download_description:
        '请点击下方按钮，手动下载最新的Cardo Update版本',
    download: '下载'
};

export default strings;
