/*  eslint-disable no-template-curly-in-string */
const strings = {
    app_name: 'Cardo Update',
    tooltip_app_version: 'Version ${version}',
    tooltip_more_info: 'Weitere Informationen...',
    welcome_title: 'Willkommen bei Cardo Update!',
    welcome_subtitle:
        'Cardo Update sorgt dafür, dass Ihr Gerät ständig mit der neuesten Firmware und den neuen Funktionen aktualisiert wird.',
    welcome_new_app_version_available:
        'Neue Version von Cardo Update verfügbar!',
    welcome_new_app_version_available_description:
        'Bitte, aktualisieren Sie auf die neueste Version, um Cardo Update weiter zu nutzen',
    welcome_download_app_update: 'Update herunterladen',
    welcome_install_app_update: 'Installieren und neu starten',
    welcome_downloading_app_update:
        'Neue Version von Cardo Update wird heruntergeladen',
    welcome_device_connecting:
        'Verbindung wird hergestellt, bitte trennen Sie das Gerät nicht...',
    welcome_downloading_app_update_complete: 'Download abgeschlossen',
    welcome_no_device_connected_description:
        'Schließen Sie Ihr Gerät mit dem Cardo USB–Kabel an Ihren Computer an',
    welcome_modal_device_fw_interrupted_title: 'Firmware-Problem erkannt',
    welcome_modal_device_fw_interrupted_description:
        'Auf Ihrem Gerät ist ein unerwartetes Firmware-Problem aufgetreten. Installieren Sie die neue Firmware-Aktualisierung.',
    general_link_need_support: 'Benötigen Sie Hilfe?',
    unsupported_unit_header: 'Verbundenes Gerät wird nicht unterstützt',
    unsupported_unit_title:
        'Cardo Update ist mit dem verbundenen Gerät nicht kompatibel',
    unsupported_unit_subtitle:
        'Bitte <a href="${url}" target="_blank">Hier klicken</a> und das korrekte Update-Tool finden',
    update_device_header: '${name} - verbunden',
    update_device_checking_for_updates: 'Suche nach Aktualisierungen...',
    update_device_no_internet_title:
        'Es tut uns leid, Cardo Update kann derzeit nicht nach Aktualisierungen suchen.',
    update_device_no_internet_description:
        'Stellen Sie sicher, dass Sie eine gute Netzwerkverbindung haben und versuchen Sie es erneut.',
    update_device_firmware_selection_modal_title:
        'Bitte, wählen Sie die Firmware-Version für Installation aus',
    update_device_firmware_selection_latest_version:
        '${version} Version - Offizielle Version',
    update_device_firmware_selection_beta_version:
        '${betaVersion} - Beta-Version (Build ${betaBuildNumber})',
    update_device_firmware_selection_custom_version: '${version} Version',
    general_button_retry: 'Erneut versuchen',
    update_device_new_fw_available_title: 'Firmware-Aktualisierung verfügbar!',
    update_device_new_fw_available_release_link: 'Was ist neu?',
    update_device_new_fw_available_update_firmware: 'Firmware aktualisieren',
    update_device_updating_title: 'Firmware wird aktualisiert...',
    update_device_updating_description:
        'Das Gerät nicht trennen, solange die Aktualisierung ausgeführt wird.',
    update_device_status_downloading_version_info:
        'Versionshinweise werden heruntergeladen...',
    update_device_status_downloading_fw: 'Firmware wird heruntergeladen...',
    update_device_status_installing_fw: 'Firmware wird installiert...',
    update_device_footer_follow: 'Folge uns auf:',
    update_device_footer_jbl: 'Möchten Sie einen besseren Sound?',
    problem_updating_fw_title: 'Problem bei der Firmware-Aktualisierung.',
    problem_updating_fw_subtitle:
        'Prüfen Sie die USB-Verbindung und versuchen Sie es erneut.',
    problem_updating_fw_back_to_main_button: 'Zurück zu Startbildschirm',
    problem_updating_fw_help:
        'Wenn das Problem weiterhin besteht, <a href="${url}" target="_blank">kontaktieren Sie den Kundendienst</a>.',
    problem_recognizing_device_error:
        'Verbindungsproblem. Gerät nicht erkannt. Das Gerät nochmal anschließen und erneut versuchen.',
    update_application_error: 'Update herunterladen fehlgeschlagen',
    update_application_error_descrition:
        'Etwas ist schiefgelaufen und das Update wurde nicht heruntergeladen',
    close_app_popup_title: 'Cardo Update schließen?',
    close_app_popup_body:
        'Cardo Update nicht schließen, bevor das Update nicht abgeschlossen ist',
    close_app_popup_quit: 'Schließen',
    update_device_done_title: 'Alles fertig!',
    update_device_done_subtitle: 'Ihr Gerät ist auf dem neuesten Stand.',
    device_up_to_date_title: 'Ihre Firmware ist auf dem neuesten Stand',
    device_firmware_version_is:
        'Ihre aktuelle Firmware-Version ist ${version} ${betaBuildNumber}',
    device_up_to_date_subtitle: 'Letzte Aktualisierung: ${date}',
    device_up_to_date_reinstall_firmware_button: 'Firmware neu installieren',
    device_up_to_date_reinstall_firmware_popup:
        'Neueste Firmware-Version installieren',
    device_info_model: 'Modell',
    device_info_current_fw: 'Aktuelle Firmware',
    device_info_serial: 'Seriennummer',
    button_cancel: 'Abbrechen',
    button_install: 'Installieren',
    button_ok: 'OK',
    general_device: 'Gerät',
    not_logged_in_title:
        'Mein Cardo aktualisieren, um es auf dem neuesten Stand zu halten',
    back: 'ZURÜCK',
    sign_in: 'Anmelden',
    sign_up: 'Registrieren',
    email: 'E-Mail-Adresse',
    first_name: 'Vorname',
    last_name: 'Nachname',
    already_have_an_account: 'Sie haben bereits ein Konto?',
    invalid_email_format: 'E-Mail-Format, example@email.com',
    letters_only: 'Nur Buchstaben',
    country: 'Land',
    date_of_birth: 'Geburtsdatum',
    marketing_approval:
        'Ich bin damit einverstanden, dass Cardo Systems mir Marketing-Updates und Software-Upgrade-Benachrichtigungen per E-Mail zusendet.',
    by_clicking_sign_up:
        'Indem Sie auf „Registrieren“ klicken, stimmen Sie unserer  <a href="${privacy_url}"  target="_blank">Datenschutzrichtlinie</a> und unseren <a href="${tos_url}" target="_blank">Nutzungsbedingungen</a> zu',
    we_sent_verification_email:
        'Wir haben Ihnen gerade eine Bestätigungs-E-Mail an <b>${email}</b> gesendet. Bitte überprüfen Sie Ihren E-Mail-Eingang.',
    send_again: 'Erneut senden',
    didnt_receive_an_email: 'Keine E-Mail erhalten?',
    back_to_sign_in: 'Zurück zur Anmeldung',
    back_to_sign_up: 'Zurück zur Registrierung',
    email_doesnt_exist:
        'E-Mail-Adresse existiert nicht. Versuchen Sie es mit einer anderen E-Mail-Adresse oder melden Sie sich an',
    email_already_registered:
        'Diese E-Mail-Adresse ist bereits registriert. Versuchen Sie es mit einer anderen E-Mail-Adresse oder melden Sie sich an',
    dont_have_an_account: 'Sie haben kein Konto?',
    complete_your_details: 'Vervollständigen Sie Ihre Angaben',
    sign_out: 'Abmelden',
    sign_out_confirmation: 'Möchten Sie sich wirklich abmelden?',
    yes: 'Ja',
    no: 'Nein',
    no_internet_connection: 'Keine Internetverbindung!',
    your_connection_was_lost:
        'Ihre Internetverbindung wurde unterbrochen. Bitte verbinden Sie sich erneut und versuchen Sie es erneut',
    software_version: 'Softwareversion',
    verify_your_email_address: 'Bestätigen Sie Ihre E-Mail-Adresse',
    support: 'Kundendienst',
    continue: 'Weiter',
    done_button: 'Fertig',
    not_logged_in_sub_title: 'Die neuesten Funktionen · Fehlerbehebungen',
    network_error: 'Keine Internetverbindung! Erneut versuchen',
    do_not_close_app: 'SCHLIESSEN SIE DIE APP NICHT',
    no_results: 'Keine Ergebnisse',
    fw_language: 'Geräte-Sprache',
    usb_connection_error:
        'USB-Verbindungsfehler erkannt.  Bitte verbinden Sie Ihr Gerät mit einem Mobiltelefon und verwenden Sie die mobile App Cardo Connect, um Ihre Software zu aktualisieren',
    manual_download_description:
        'Bitte laden Sie die neueste Version von Cardo Update manuell herunter, indem Sie auf die Schaltfläche unten klicken',
    download: 'Herunterladen'
};

export default strings;
